Skip to main content
PATCH
Patch holdout

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

environmentKey
string<string>
required

The environment key

holdoutKey
string<string>
required

The holdout key

Body

application/json
instructions
object[]
required

The instructions to perform when updating. This should be an array with objects that look like {"kind": "update_action"}. Some instructions also require a value field in the array element.

Example:

"[{\"kind\": \"updateName\", \"name\": \"Updated holdout name\"}]"

comment
string

Optional comment describing the update

Example:

"Optional comment"

Response

Holdout response

_id
string
required
status
enum<string>
required
Available options:
created,
enabled,
running,
ended
holdoutAmount
string
required

The percentage of traffic allocated to this holdout.

createdAt
integer<int64>
required
updatedAt
integer<int64>
required
baseExperiment
object
required
description
string
experiments
object[]